/***************************************************************************
**                                                                        **
**  Polyphone, a soundfont editor                                         **
**  Copyright (C) 2013-2020 Davy Triponney                                **
**                                                                        **
**  This program is free software: you can redistribute it and/or modify  **
**  it under the terms of the GNU General Public License as published by  **
**  the Free Software Foundation, either version 3 of the License, or     **
**  (at your option) any later version.                                   **
**                                                                        **
**  This program is distributed in the hope that it will be useful,       **
**  but WITHOUT ANY WARRANTY; without even the implied warranty of        **
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the          **
**  GNU General Public License for more details.                          **
**                                                                        **
**  You should have received a copy of the GNU General Public License     **
**  along with this program. If not, see http://www.gnu.org/licenses/.    **
**                                                                        **
****************************************************************************
**           Author: Davy Triponney                                       **
**  Website/Contact: https://www.polyphone-soundfonts.com                 **
**             Date: 01.01.2013                                           **
***************************************************************************/

#ifndef EXTENSIONMIDI_GLOBALKEYBOARD_CHANNELSELECTORBUTTON_H
#define EXTENSIONMIDI_GLOBALKEYBOARD_CHANNELSELECTORBUTTON_H

#include <QPushButton>

class ExtensionMidi_GlobalKeyboard_ChannelSelectorButton : public QPushButton
{
    Q_OBJECT

public:
    ExtensionMidi_GlobalKeyboard_ChannelSelectorButton(QWidget * parent);
    virtual ~ExtensionMidi_GlobalKeyboard_ChannelSelectorButton() {}

signals:
    void focusOut();

protected:
    void focusOutEvent(QFocusEvent *event) override;
    void keyPressEvent(QKeyEvent *event) override;
};


#endif // EXTENSIONMIDI_GLOBALKEYBOARD_CHANNELSELECTORBUTTON_H
